<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_ConsolidatedIncomeStatementAxis" xlink:label="intertekgroupplc_ConsolidatedIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_AdjustedResultsMember" xlink:label="intertekgroupplc_AdjustedResultsMember" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_SeparatelyDisclosedItemsMember" xlink:label="intertekgroupplc_SeparatelyDisclosedItemsMember" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_TotalMember" xlink:label="intertekgroupplc_TotalMember" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_Totalmember" xlink:label="intertekgroupplc_Totalmember" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_ProfitOrLossTable" xlink:label="intertekgroupplc_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_ProfitOrLossLineItems" xlink:label="intertekgroupplc_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_WorkingCapital" xlink:label="intertekgroupplc_WorkingCapital" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_IFRS16LeaseReceivable" xlink:label="intertekgroupplc_IFRS16LeaseReceivable" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_ChangesInNonControllingInterest" xlink:label="intertekgroupplc_ChangesInNonControllingInterest" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_PurchaseOfOwnShares" xlink:label="intertekgroupplc_PurchaseOfOwnShares" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_AdjustmentsForAmortisationOfSoftware" xlink:label="intertekgroupplc_AdjustmentsForAmortisationOfSoftware" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_AdjustmentsForAmortisationOfAcquisitionIntangibles" xlink:label="intertekgroupplc_AdjustmentsForAmortisationOfAcquisitionIntangibles" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_AdjustmentsForImpairmentOfGoodwillAndOtherAssets" xlink:label="intertekgroupplc_AdjustmentsForImpairmentOfGoodwillAndOtherAssets" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_ConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities" xlink:label="intertekgroupplc_ConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_PurchaseOfNonControllingInterestClassifiedAsFinancingActivities" xlink:label="intertekgroupplc_PurchaseOfNonControllingInterestClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_CashOutflowRelatingToSeparatelyDisclosedItems" xlink:label="intertekgroupplc_CashOutflowRelatingToSeparatelyDisclosedItems" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_FreeCashFlow" xlink:label="intertekgroupplc_FreeCashFlow" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" xlink:label="intertekgroupplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_DisclosureOfSeparatelyDisclosedItems" xlink:label="intertekgroupplc_DisclosureOfSeparatelyDisclosedItems" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_DescriptionOfAccountingPolicyForAdjustedResults" xlink:label="intertekgroupplc_DescriptionOfAccountingPolicyForAdjustedResults" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_DescriptionOfAccountingPolicyForPurchaseOfOwnShares" xlink:label="intertekgroupplc_DescriptionOfAccountingPolicyForPurchaseOfOwnShares" />
    <loc xlink:type="locator" xlink:href="2138003GAT25WW1RN369-2024-12-31.xsd#intertekgroupplc_DisclosureOfPurchaseOfOwnShares" xlink:label="intertekgroupplc_DisclosureOfPurchaseOfOwnShares" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_ConsolidatedIncomeStatementAxis" xlink:to="label_intertekgroupplc_ConsolidatedIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_AdjustedResultsMember" xlink:to="label_intertekgroupplc_AdjustedResultsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_SeparatelyDisclosedItemsMember" xlink:to="label_intertekgroupplc_SeparatelyDisclosedItemsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_TotalMember" xlink:to="label_intertekgroupplc_TotalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_Totalmember" xlink:to="label_intertekgroupplc_Totalmember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_ProfitOrLossTable" xlink:to="label_intertekgroupplc_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_WorkingCapital" xlink:to="label_intertekgroupplc_intertekgroupplcWorkingCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_IFRS16LeaseReceivable" xlink:to="label_intertekgroupplc_intertekgroupplcIFRS16LeaseReceivable_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_ChangesInNonControllingInterest" xlink:to="label_intertekgroupplc_intertekgroupplcChangesInNonControllingInterest_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_PurchaseOfOwnShares" xlink:to="label_intertekgroupplc_intertekgroupplcPurchaseOfOwnShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_AdjustmentsForAmortisationOfSoftware" xlink:to="label_intertekgroupplc_intertekgroupplcAdjustmentsForAmortisationOfSoftware_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_AdjustmentsForAmortisationOfAcquisitionIntangibles" xlink:to="label_intertekgroupplc_intertekgroupplcAdjustmentsForAmortisationOfAcquisitionIntangibles_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_AdjustmentsForImpairmentOfGoodwillAndOtherAssets" xlink:to="label_intertekgroupplc_intertekgroupplcAdjustmentsForImpairmentOfGoodwillAndOtherAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_ConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities" xlink:to="label_intertekgroupplc_intertekgroupplcConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_PurchaseOfNonControllingInterestClassifiedAsFinancingActivities" xlink:to="label_intertekgroupplc_intertekgroupplcPurchaseOfNonControllingInterestClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_intertekgroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_intertekgroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_CashOutflowRelatingToSeparatelyDisclosedItems" xlink:to="label_intertekgroupplc_intertekgroupplcCashOutflowRelatingToSeparatelyDisclosedItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_FreeCashFlow" xlink:to="label_intertekgroupplc_intertekgroupplcFreeCashFlow_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" xlink:to="label_intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_DisclosureOfSeparatelyDisclosedItems" xlink:to="label_intertekgroupplc_intertekgroupplcDisclosureOfSeparatelyDisclosedItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_DescriptionOfAccountingPolicyForAdjustedResults" xlink:to="label_intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForAdjustedResults_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_DescriptionOfAccountingPolicyForPurchaseOfOwnShares" xlink:to="label_intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForPurchaseOfOwnShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="intertekgroupplc_DisclosureOfPurchaseOfOwnShares" xlink:to="label_intertekgroupplc_intertekgroupplcDisclosureOfPurchaseOfOwnShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_intertekgroupplc_ConsolidatedIncomeStatementAxis" id="intertekgroupplc_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated income statement [axis]</label>
    <label xlink:label="label_intertekgroupplc_AdjustedResultsMember" id="intertekgroupplc_AdjustedResultsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted results [member]</label>
    <label xlink:label="label_intertekgroupplc_SeparatelyDisclosedItemsMember" id="intertekgroupplc_SeparatelyDisclosedItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Separately Disclosed items [member]</label>
    <label xlink:label="label_intertekgroupplc_TotalMember" id="intertekgroupplc_TotalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total [member]</label>
    <label xlink:label="label_intertekgroupplc_Totalmember" id="intertekgroupplc_Totalmember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total [member]</label>
    <label xlink:label="label_intertekgroupplc_ProfitOrLossTable" id="intertekgroupplc_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcWorkingCapital_Standard" id="intertekgroupplc_intertekgroupplcWorkingCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Working capital</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcIFRS16LeaseReceivable_Standard" id="intertekgroupplc_intertekgroupplcIFRS16LeaseReceivable_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">IFRS 16 Lease Receivable</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcChangesInNonControllingInterest_Standard" id="intertekgroupplc_intertekgroupplcChangesInNonControllingInterest_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Changes in non-controlling interest</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcPurchaseOfOwnShares_Standard" id="intertekgroupplc_intertekgroupplcPurchaseOfOwnShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of own shares</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcAdjustmentsForAmortisationOfSoftware_Standard" id="intertekgroupplc_intertekgroupplcAdjustmentsForAmortisationOfSoftware_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for amortisation of software</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcAdjustmentsForAmortisationOfAcquisitionIntangibles_Standard" id="intertekgroupplc_intertekgroupplcAdjustmentsForAmortisationOfAcquisitionIntangibles_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for amortisation of acquisition intangibles</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcAdjustmentsForImpairmentOfGoodwillAndOtherAssets_Standard" id="intertekgroupplc_intertekgroupplcAdjustmentsForImpairmentOfGoodwillAndOtherAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for impairment of goodwill and other assets</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities_Standard" id="intertekgroupplc_intertekgroupplcConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consideration paid in respect of prior year acquisitions classified as investing activities</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcPurchaseOfNonControllingInterestClassifiedAsFinancingActivities_Standard" id="intertekgroupplc_intertekgroupplcPurchaseOfNonControllingInterestClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of non-controlling interest, classified as financing activities</label>
    <label xlink:label="label_intertekgroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" id="intertekgroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents at beginning of period</label>
    <label xlink:label="label_intertekgroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" id="intertekgroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents at end of period</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcCashOutflowRelatingToSeparatelyDisclosedItems_Standard" id="intertekgroupplc_intertekgroupplcCashOutflowRelatingToSeparatelyDisclosedItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash outflow relating to separately disclosed items</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcFreeCashFlow_Standard" id="intertekgroupplc_intertekgroupplcFreeCashFlow_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Free cash flow</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" id="intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for consideration of climate change</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcDisclosureOfSeparatelyDisclosedItems_Standard" id="intertekgroupplc_intertekgroupplcDisclosureOfSeparatelyDisclosedItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of separately disclosed items</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForAdjustedResults_Standard" id="intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForAdjustedResults_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for adjusted results</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForPurchaseOfOwnShares_Standard" id="intertekgroupplc_intertekgroupplcDescriptionOfAccountingPolicyForPurchaseOfOwnShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for purchase of own shares</label>
    <label xlink:label="label_intertekgroupplc_intertekgroupplcDisclosureOfPurchaseOfOwnShares_Standard" id="intertekgroupplc_intertekgroupplcDisclosureOfPurchaseOfOwnShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of purchase of own shares</label>
  </labelLink>
</linkbase>